Package org.springframework.aop.framework.adapter

# Class UnknownAdviceTypeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.IllegalArgumentException
org.springframework.aop.framework.adapter.UnknownAdviceTypeException

All Implemented Interfaces:
  `Serializable`

public class UnknownAdviceTypeException extends IllegalArgumentException
Exception thrown when an attempt is made to use an unsupported Advisor or Advice type.

Author:
  Rod Johnson, Juergen Hoeller
See Also:
  - `Advice`
  - `Advisor`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnknownAdviceTypeException(Object advice)`
Create a new UnknownAdviceTypeException for the given advice object.
`UnknownAdviceTypeException(String message)`
Create a new UnknownAdviceTypeException with the given message.

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownAdviceTypeException

public UnknownAdviceTypeException(Object advice)
Create a new UnknownAdviceTypeException for the given advice object. Will create a message text that says that the object is neither a subinterface of Advice nor an Advisor.

Parameters:
  `advice` - the advice object of unknown type

### UnknownAdviceTypeException

public UnknownAdviceTypeException(String message)
Create a new UnknownAdviceTypeException with the given message.

Parameters:
  `message` - the message text